View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000789Ecere SDKecerepublic2013-04-16 05:562016-08-04 21:02
Reporternicktick 
Assigned Tojerome 
PriorityimmediateSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44 Ryoan-ji 
Target Version0.44.15Fixed in Version0.44.15 
Summary0000789: issues on Grab screen
Description1. does not work properly with native decorations
2. dot not allow to grab the whole screen including the taskbar

steps to re-produce case 1:
if you don't set window's property nativeDecorations=false, then the grabbed window image will not be properly, there are extra dark areas in grabbed area.

steps to re-produce case 2:
display.height is always equal the physical_screen_size minus the height of taskbar
,and also the desktop.height.

also
Window::Grab with nativeDecorations
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001406)
jerome (administrator)
2016-08-03 13:07

Fixed by:
https://github.com/ecere/ecere-sdk/commit/adac80d4a1cbfe36b2bc90b3f778774b2fc788aa [^]

https://github.com/ecere/ecere-sdk/commit/e88d58d35cfb7e9ae8d5442e9f68db71d348745b [^]
(0001424)
jerome (administrator)
2016-08-04 21:02

Closed for 0.44.15

https://github.com/ecere/ecere-sdk/commit/37ac4ab4b983a5764f76d7fd77f6658924da8be0 [^]

- Issue History
Date Modified Username Field Change
2013-04-16 05:56 nicktick New Issue
2013-04-24 03:11 jerome Target Version => 0.44.1 64
2013-04-24 13:44 redj Description Updated
2013-04-24 19:57 jerome Priority normal => immediate
2016-04-19 05:30 jerome Target Version 0.44.12 Fixes => 0.46 eC II
2016-07-12 03:01 jerome Target Version 0.46 eC II => 0.44.15
2016-07-12 04:37 jerome Assigned To => jerome
2016-07-12 04:37 jerome Status new => assigned
2016-08-03 13:07 jerome Note Added: 0001406
2016-08-03 13:07 jerome Status assigned => resolved
2016-08-03 13:07 jerome Fixed in Version => 0.44.15
2016-08-03 13:07 jerome Resolution open => fixed
2016-08-04 21:02 jerome Note Added: 0001424
2016-08-04 21:02 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker